/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
import { ux } from '@oclif/core';
import { Messages } from '@salesforce/core';
Messages.importMessagesDirectoryFromMetaUrl(import.meta.url);
export const deployAsyncMessages = Messages.loadMessages('@salesforce/plugin-deploy-retrieve', 'deploy.async');
export class AsyncDeployResultFormatter {
    id;
    bin;
    constructor(id, bin) {
        this.id = id;
        this.bin = bin;
    }
    // eslint-disable-next-line @typescript-eslint/require-await
    async getJson() {
        return { id: this.id, done: false, status: 'Queued', files: [] };
    }
    display() {
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployQueued'));
        ux.log();
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployResume', [this.bin, this.id]));
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployStatus', [this.bin, this.id]));
        ux.log(deployAsyncMessages.getMessage('info.AsyncDeployCancel', [this.bin, this.id]));
    }
}
//# sourceMappingURL=asyncDeployResultFormatter.js.map